QGIS Application - Bug report #12804
The Label Option: FirstCap return always " all uppercase"
2015-05-21 01:40 PM - aperi2007 -

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.8.2 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20900
Description

As in subject:

the label option "FirstCap" return a label always ALL-Uppercase.
Instead it should return Upper the first letter and lower all the others.

| see this issue on qgis 2.8.2 32bit (windows)

Related issues:
Duplicates QGIS Application - Feature request # 7611: Title case option which... Reopened 2013-04-14

History

#1 - 2015-05-21 11:16 PM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Open to Closed

duplicate of #7611

#2 - 2015-05-22 01:10 AM - aperi2007 -

- Status changed from Closed to Reopened

No, it is not a duplicate of other ticket.

In the ther ticket it was proposed a workaround at program level .

This is not possible to apply to the interface level.

Also the question is that is wrong the functionality.

Infact the FirstCap, dont mean put the first Upper and leave the other unchanged.

But instead mean Put only the first up and all the other should be lower.

#3 - 2015-05-22 01:11 AM - aperi2007 -

- Resolution deleted (duplicate)

#4 - 2015-05-22 01:31 AM - Giovanni Manghi
- Status changed from Reopened to Feedback

Infact the FirstCap, dont mean put the first Upper and leave the other unchanged.
But instead mean Put only the first up and all the other should be lower.

that is exactly what #7611 is about. Please leave feedback.

#5 - 2015-06-01 06:05 AM - Saber Razmjooei
- Status changed from Feedback to Closed

Itis duplicate of #7611 and closed.

Please provide some screenshots and more info if you intend to reopen the ticket.
